--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: code
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: message
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: query
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: sqlstate
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: uri
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: DataObjects::SQLError
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: SQLError
superclass: Error
